cURL
curl -X GET 'https://verification.didit.me/v3/questionnaires/' \
-H 'x-api-key: YOUR_API_KEY'import requests
resp = requests.get(
"https://verification.didit.me/v3/questionnaires/",
headers={"x-api-key": "YOUR_API_KEY"},
timeout=10,
)
resp.raise_for_status()
page = resp.json()
for q in page["results"]:
print(q["uuid"], q["title"], q["status"])const res = await fetch("https://verification.didit.me/v3/questionnaires/", {
headers: { 'x-api-key': 'YOUR_API_KEY' },
});
if (!res.ok) throw new Error(`Didit ${res.status}`);
const page = await res.json();
page.results.forEach((q) => console.log(q.uuid, q.title, q.status));
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"uuid": "11111111-2222-3333-4444-555555555555",
"title": "KYC Questionnaire",
"description": "Additional verification questions",
"languages": [
"en",
"es"
],
"default_language": "en",
"is_active": true,
"is_simple_questionnaire": true,
"created_at": "2026-04-23T09:55:00Z",
"updated_at": "2026-04-23T10:00:00Z",
"question_types": [
"SHORT_TEXT",
"MULTIPLE_CHOICE",
"FILE_UPLOAD"
],
"workflow_names": [],
"questionnaire_group_id": "11111111-2222-3333-4444-555555555555",
"version": 1,
"status": "published",
"published_at": "2026-04-23T10:00:00Z",
"is_editable": false
}
]
}{
"detail": "You do not have permission to perform this action."
}Questionnaires
List Questionnaires
List your questionnaires, newest first, in a limit/offset pagination envelope ({count, next, previous, results}, default page size 50). Each row is one version; questionnaire_group_id is the stable group ID resolved to the latest published version.
GET
/
v3
/
questionnaires
/
cURL
curl -X GET 'https://verification.didit.me/v3/questionnaires/' \
-H 'x-api-key: YOUR_API_KEY'import requests
resp = requests.get(
"https://verification.didit.me/v3/questionnaires/",
headers={"x-api-key": "YOUR_API_KEY"},
timeout=10,
)
resp.raise_for_status()
page = resp.json()
for q in page["results"]:
print(q["uuid"], q["title"], q["status"])const res = await fetch("https://verification.didit.me/v3/questionnaires/", {
headers: { 'x-api-key': 'YOUR_API_KEY' },
});
if (!res.ok) throw new Error(`Didit ${res.status}`);
const page = await res.json();
page.results.forEach((q) => console.log(q.uuid, q.title, q.status));
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"uuid": "11111111-2222-3333-4444-555555555555",
"title": "KYC Questionnaire",
"description": "Additional verification questions",
"languages": [
"en",
"es"
],
"default_language": "en",
"is_active": true,
"is_simple_questionnaire": true,
"created_at": "2026-04-23T09:55:00Z",
"updated_at": "2026-04-23T10:00:00Z",
"question_types": [
"SHORT_TEXT",
"MULTIPLE_CHOICE",
"FILE_UPLOAD"
],
"workflow_names": [],
"questionnaire_group_id": "11111111-2222-3333-4444-555555555555",
"version": 1,
"status": "published",
"published_at": "2026-04-23T10:00:00Z",
"is_editable": false
}
]
}{
"detail": "You do not have permission to perform this action."
}Authorizations
Query Parameters
Page size (number of questionnaires per page).
Number of rows to skip before the first returned questionnaire.
Response
One page of questionnaires ordered by created_at descending, wrapped in the pagination envelope. Each item in results is a QuestionnaireListItem.
⌘I